Package org.jfree.layouting.util.geom

## Class StrictInsets

- java.lang.Object
- - org.jfree.layouting.util.geom.StrictInsets

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class StrictInsets
      extends java.lang.Object
      implements java.lang.Cloneable

  Creation-Date: 09.07.2006, 20:22:06
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrictInsets​()` |
    `StrictInsets​(long top, long left, long bottom, long right)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` | Returns a copy of this bounds object.
    `boolean` | `equals​(java.lang.Object o)` |
    `long` | `getBottom​()` |
    `long` | `getLeft​()` |
    `long` | `getRight​()` |
    `long` | `getTop​()` |
    `int` | `hashCode​()` |
    `void` | `setBottom​(long bottom)` |
    `void` | `setLeft​(long left)` |
    `void` | `setRight​(long right)` |
    `void` | `setTop​(long top)` |
    `java.lang.String` | `toString​()` | Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StrictInsets

          public StrictInsets​()

    - #### StrictInsets

          public StrictInsets​(long top,
                              long left,
                              long bottom,
                              long right)

  - ### Method Detail

    - #### getTop

          public long getTop​()

    - #### setTop

          public void setTop​(long top)

    - #### getBottom

          public long getBottom​()

    - #### setBottom

          public void setBottom​(long bottom)

    - #### getLeft

          public long getLeft​()

    - #### setLeft

          public void setLeft​(long left)

    - #### getRight

          public long getRight​()

    - #### setRight

          public void setRight​(long right)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the object.

    - #### clone

          public java.lang.Object clone​()

      Returns a copy of this bounds object. This method will never throw a 'CloneNotSupportedException'.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        the cloned instance.